Bug 250197 - www/rt44: missing dependency on textproc/p5-Pod-Parser
Summary: www/rt44: missing dependency on textproc/p5-Pod-Parser
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 06:43 UTC by David Siebörger
Modified: 2020-10-10 16:01 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Siebörger 2020-10-08 06:43:26 UTC
RT::Shredder::POD uses Pod::Select, which is provided by textproc/p5-Pod-Parser, but www/rt44 does not depend on that package.  Would you add a dependency, please?

Here's what happens when p5-Pod-Parser is not installed:

# rt-shredder 
[14932] [Thu Oct  8 06:20:19 2020] [critical]: Can't locate Pod/Select.pm in @INC (you may need to install the Pod::Select module) (@INC contains: /usr/local/share/rt44/lib /usr/local/share/rt44/plugins/RT-Extension-MandatoryFields/lib /usr/local/share/rt44/plugins/RT-Extension-MergeUsers/lib /usr/local/share/rt44/plugins/RT-Extension-RhodesACNS/lib /usr/local/share/rt44/plugins/RTx-Calendar/lib /usr/local/share/rt44/plugins/RT-Extension-RepeatTicket/lib /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/mach/5.32 /usr/local/lib/perl5/5.32/mach /usr/local/lib/perl5/5.32) at /usr/local/lib/perl5/site_perl/RT/Shredder/POD.pm line 53, <DATA> line 755.
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/RT/Shredder/POD.pm line 53, <DATA> line 755.
Compilation failed in require at /usr/local/sbin/rt-shredder line 205, <DATA> line 755. (/usr/local/lib/perl5/site_perl/RT.pm:408)
Can't locate Pod/Select.pm in @INC (you may need to install the Pod::Select module) (@INC contains: /usr/local/share/rt44/lib /usr/local/share/rt44/plugins/RT-Extension-MandatoryFields/lib /usr/local/share/rt44/plugins/RT-Extension-MergeUsers/lib /usr/local/share/rt44/plugins/RT-Extension-RhodesACNS/lib /usr/local/share/rt44/plugins/RTx-Calendar/lib /usr/local/share/rt44/plugins/RT-Extension-RepeatTicket/lib /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/mach/5.32 /usr/local/lib/perl5/5.32/mach /usr/local/lib/perl5/5.32) at /usr/local/lib/perl5/site_perl/RT/Shredder/POD.pm line 53, <DATA> line 755.
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/RT/Shredder/POD.pm line 53, <DATA> line 755.
Compilation failed in require at /usr/local/sbin/rt-shredder line 205, <DATA> line 755.

# rt-test-dependencies 
perl:
        >=5.10.1(5.32.0) ...found
users:
        rt group (www) ...found
        bin owner (root) ...found
        libs owner (root) ...found
        libs group (wheel) ...found
        web owner (www) ...found
        web group (www) ...found
CLI dependencies:
        Getopt::Long >= 2.24 ...found
        Term::ReadLine ...found
        HTTP::Request::Common ...found
        Text::ParseWords ...found
        LWP >= 6.02 ...found
        Term::ReadKey ...found
CORE dependencies:
        HTML::FormatText::WithLinks::AndTables >= 0.06 ...found
        UNIVERSAL::require ...found
        Digest::SHA ...found
        HTML::Mason::PSGIHandler >= 0.52 ...found
        Data::GUID ...found
        Locale::Maketext >= 1.06 ...found
        Text::Template >= 1.44 ...found
        DBIx::SearchBuilder >= 1.65 ...found
        Date::Manip ...found
        Email::Address >= 1.912 ...found
        Locale::Maketext::Fuzzy >= 0.11 ...found
        Devel::StackTrace >= 1.19 ...found
        CGI::Cookie >= 1.20 ...found
        Role::Basic >= 0.12 ...found
        Scope::Upper ...found
        DateTime::Locale >= 0.40 ...found
        Plack::Handler::Starlet ...found
        Locale::Maketext::Lexicon >= 0.32 ...found
        HTML::Entities ...found
        Storable >= 2.08 ...found
        Scalar::Util ...found
        CSS::Squish >= 0.06 ...found
        Clone ...found
        Plack >= 1.0002 ...found
        DBI >= 1.37 ...found
        JSON ...found
        HTML::FormatText::WithLinks >= 0.14 ...found
        Regexp::IPv6 ...found
        DateTime::Format::Natural >= 0.67 ...found
        Mail::Header >= 2.12 ...found
        HTTP::Message >= 6.0 ...found
        Data::Page::Pageset ...found
        Email::Address::List >= 0.06 ...found
        MIME::Entity >= 5.504 ...found
        LWP::Simple ...found
        Mail::Mailer >= 1.57 ...found
        CSS::Minifier::XS ...found
        File::Glob ...found
        Time::ParseDate ...found
        Symbol::Global::Name >= 0.05 ...found
        Crypt::Eksblowfish ...found
        HTML::Scrubber >= 0.08 ...found
        List::MoreUtils ...found
        File::Temp >= 0.19 ...found
        File::Spec >= 0.8 ...found
        URI::QueryParam ...found
        HTML::Mason >= 1.43 ...found
        Log::Dispatch >= 2.30 ...found
        HTML::RewriteAttributes >= 0.05 ...found
        Text::WikiFormat >= 0.76 ...found
        IPC::Run3 ...found
        Regexp::Common::net::CIDR ...found
        HTML::Quoted ...found
        Date::Extract >= 0.02 ...found
        Convert::Color ...found
        Text::Password::Pronounceable ...found
        Time::HiRes ...found
        Digest::MD5 >= 2.27 ...found
        DateTime >= 0.44 ...found
        Class::Accessor::Fast ...found
        MIME::Types ...found
        Net::CIDR ...found
        Sys::Syslog >= 0.16 ...found
        Text::Wrapper ...found
        Module::Refresh >= 0.03 ...found
        Regexp::Common ...found
        Net::IP ...found
        Tree::Simple >= 1.04 ...found
        CGI::Emulate::PSGI ...found
        File::ShareDir ...found
        URI >= 1.59 ...found
        Digest::base ...found
        CGI >= 4 ...found
        Devel::GlobalDestruction ...found
        CGI::PSGI >= 0.12 ...found
        Business::Hours ...found
        Pod::Select ...MISSING
        Data::ICal ...found
        JavaScript::Minifier::XS ...found
        XML::RSS >= 1.05 ...found
        Encode >= 2.64 ...found
        Text::Quoted >= 2.07 ...found
        Apache::Session >= 1.53 ...found
        Module::Versions::Report >= 1.05 ...found
        Errno ...found
GD dependencies:
        GD ...found
        GD::Text ...found
        GD::Graph >= 1.47 ...found
GRAPHVIZ dependencies:
        GraphViz ...found
        IPC::Run >= 0.90 ...found
MAILGATE dependencies:
        LWP::UserAgent >= 6.02 ...found
        LWP::Protocol::https ...found
        Pod::Usage ...found
        Getopt::Long ...found
        Mozilla::CA ...found
SMIME dependencies:
        String::ShellQuote ...found
        Crypt::X509 ...found
        File::Which ...found

SOME DEPENDENCIES WERE MISSING.
CORE missing dependencies:
        Pod::Select ...MISSING

Perl library path for /usr/local/bin/perl:
    /usr/local/lib/perl5/site_perl/mach/5.32
    /usr/local/lib/perl5/site_perl
    /usr/local/lib/perl5/5.32/mach
    /usr/local/lib/perl5/5.32
Comment 1 commit-hook freebsd_committer 2020-10-09 11:55:37 UTC
A commit references this bug:

Author: mikael
Date: Fri Oct  9 11:55:00 UTC 2020
New revision: 551764
URL: https://svnweb.freebsd.org/changeset/ports/551764

Log:
  www/rt44: add dependency on textproc/p5-Pod-Parse

  Add dependency on textproc/p5-Pod-Parse:
  RT::Shredder::POD uses Pod::Select, which is provided by textproc/p5-Pod-Parser

  PR:		250197
  Reported by:	David Sieb?rger
  MFH:		2020Q4 (blanket: runtime fix)

Changes:
  head/www/rt44/Makefile
  head/www/rt44/Makefile.cpan
Comment 2 commit-hook freebsd_committer 2020-10-09 11:59:38 UTC
A commit references this bug:

Author: mikael
Date: Fri Oct  9 11:59:17 UTC 2020
New revision: 551765
URL: https://svnweb.freebsd.org/changeset/ports/551765

Log:
  www/rt50: add dependency on textproc/p5-Pod-Parse

  Add dependency on textproc/p5-Pod-Parse:
  RT::Shredder::POD uses Pod::Select, which is provided by
  textproc/p5-Pod-Parser

  While here, fix rt-test-dependencies by providing the correct path

  PR:		250197
  Reported by:	David Sieb?rger
  MFH:		2020Q4 (blanket: runtime fix)

Changes:
  head/www/rt50/Makefile
  head/www/rt50/Makefile.cpan
  head/www/rt50/files/patch-sbin_rt-test-dependencies.in
Comment 3 commit-hook freebsd_committer 2020-10-10 13:07:20 UTC
A commit references this bug:

Author: mikael
Date: Sat Oct 10 13:06:44 UTC 2020
New revision: 551927
URL: https://svnweb.freebsd.org/changeset/ports/551927

Log:
  MFH: r551765

  www/rt50: add dependency on textproc/p5-Pod-Parse

  Add dependency on textproc/p5-Pod-Parse:
  RT::Shredder::POD uses Pod::Select, which is provided by
  textproc/p5-Pod-Parser

  While here, fix rt-test-dependencies by providing the correct path

  PR:		250197
  Reported by:	David Sieb?rger

  Approved by:	portmgr (fix runtime blanket)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/www/rt50/Makefile
  branches/2020Q4/www/rt50/Makefile.cpan
  branches/2020Q4/www/rt50/files/patch-sbin_rt-test-dependencies.in
Comment 4 commit-hook freebsd_committer 2020-10-10 13:08:21 UTC
A commit references this bug:

Author: mikael
Date: Sat Oct 10 13:07:22 UTC 2020
New revision: 551928
URL: https://svnweb.freebsd.org/changeset/ports/551928

Log:
  MFH: r551764

  www/rt44: add dependency on textproc/p5-Pod-Parse

  Add dependency on textproc/p5-Pod-Parse:
  RT::Shredder::POD uses Pod::Select, which is provided by textproc/p5-Pod-Parser

  PR:		250197
  Reported by:	David Sieb?rger

  Approved by:	portmgr (fix runtime blanket)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/www/rt44/Makefile
  branches/2020Q4/www/rt44/Makefile.cpan